package com.vetti.hotake.service.impl;

import java.util.List;

import com.vetti.common.core.service.BaseServiceImpl;
import com.vetti.common.enums.FillTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.vetti.hotake.mapper.HotakeInterviewDetailMapper;
import com.vetti.hotake.domain.HotakeInterviewDetail;
import com.vetti.hotake.service.IHotakeInterviewDetailService;

/**
 * 面试信息明细Service业务层处理
 * 
 * @author wangxiangshun
 * @date 2025-11-09
 */
@SuppressWarnings("all")
@Service
public class HotakeInterviewDetailServiceImpl extends BaseServiceImpl implements IHotakeInterviewDetailService
{
    @Autowired
    private HotakeInterviewDetailMapper hotakeInterviewDetailMapper;

    /**
     * 查询面试信息明细
     * 
     * @param id 面试信息明细主键
     * @return 面试信息明细
     */
    @Transactional(readOnly = true)
    @Override
    public HotakeInterviewDetail selectHotakeInterviewDetailById(Long id)
    {
        return hotakeInterviewDetailMapper.selectHotakeInterviewDetailById(id);
    }

    /**
     * 查询面试信息明细列表
     * 
     * @param hotakeInterviewDetail 面试信息明细
     * @return 面试信息明细
     */
    @Transactional(readOnly = true)
    @Override
    public List<HotakeInterviewDetail> selectHotakeInterviewDetailList(HotakeInterviewDetail hotakeInterviewDetail)
    {
        return hotakeInterviewDetailMapper.selectHotakeInterviewDetailList(hotakeInterviewDetail);
    }

    /**
     * 新增面试信息明细
     * 
     * @param hotakeInterviewDetail 面试信息明细
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public HotakeInterviewDetail insertHotakeInterviewDetail(HotakeInterviewDetail hotakeInterviewDetail)
    {
        fill(FillTypeEnum.INSERT.getCode(), hotakeInterviewDetail);
        hotakeInterviewDetailMapper.insertHotakeInterviewDetail(hotakeInterviewDetail);
        return hotakeInterviewDetail;
    }

    /**
     * 修改面试信息明细
     * 
     * @param hotakeInterviewDetail 面试信息明细
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public HotakeInterviewDetail updateHotakeInterviewDetail(HotakeInterviewDetail hotakeInterviewDetail)
    {
        fill(FillTypeEnum.UPDATE.getCode(), hotakeInterviewDetail);
        hotakeInterviewDetailMapper.updateHotakeInterviewDetail(hotakeInterviewDetail);
        return hotakeInterviewDetail;
    }

    /**
     * 批量删除面试信息明细
     * 
     * @param ids 需要删除的面试信息明细主键
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public int deleteHotakeInterviewDetailByIds(Long[] ids)
    {
        return hotakeInterviewDetailMapper.deleteHotakeInterviewDetailByIds(ids);
    }

    /**
     * 删除面试信息明细信息
     * 
     * @param id 面试信息明细主键
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public int deleteHotakeInterviewDetailById(Long id)
    {
        return hotakeInterviewDetailMapper.deleteHotakeInterviewDetailById(id);
    }
    /**
     * 批量新增面试信息明细
     *
     * @param hotakeInterviewDetailList 面试信息明细列表
     * @return 结果
     */
    @Transactional(rollbackFor=Exception.class)
    @Override
    public int batchInsertHotakeInterviewDetail(List<HotakeInterviewDetail> hotakeInterviewDetailList){
        return hotakeInterviewDetailMapper.batchInsertHotakeInterviewDetail(hotakeInterviewDetailList);
    }
}
